> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get tasks

GET https://example.itential.io/operations-manager/tasks

Searches the Task collection.

Reference: https://docs.itential.com/itential-cloud/api-reference/operations-manager/get-tasks

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination.
- `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination.
- `order` (enum, optional, default: 1) — Sort direction, 1 for ascending and -1 for descending.
  - Allowed values: `-1`, `1`
- `sort` (enum, optional, default: name) — Field to sort by
  - Allowed values: `name`
- `include` (string, optional) — Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.
- `exclude` (string, optional) — Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.
- `in` (string, optional) — Search for fields exactly matching one of the given list options
- `not-in` (string, optional) — Search for fields not exactly matching one of the given list options
- `equals` (string, optional) — Returns results where the specified fields exactly match the given match string(s).
- `contains` (string, optional) — Returns results where the specified fields contain the given match string(s).
- `starts-with` (string, optional) — Returns results where the specified fields start with the given match string(s).
- `ends-with` (string, optional) — Returns results where the specified fields end in the given match string(s).
- `dereference` (string, optional) — Designates foreign key fields to dereference in the API output.
- `gt` (string, optional) — Returns results where the specified fields have values greater than the specified values.
- `gte` (string, optional) — Returns results where the specified fields have values greater than or equal to the specified values.
- `lt` (string, optional) — Returns results where the specified fields have values less than the specified values.
- `lte` (string, optional) — Returns results where the specified fields have values less than or equal to the specified values.
- `q` (string, optional) — Accepts a full query expression as a URL-encoded JSON object. Supports all other query operators, in addition to logical conjunction with 'and', disjunction with 'or', and negation with 'not'. May be combined with other top-level operators.
- `actionableTasks` (boolean, optional, default: false) — If true, only returns actionable tasks that the current user has write access to.

## Response

### 200

The Tasks that matched the search query.

- `message` (string, required) — A human-readable message summarizing the result of the operation
- `data` (list of object, required) — Any successfully retrieved information related to the request.
  - `_id` (string, optional) — A UUIDv4 identifier.
  - `location` (enum, optional)
    - Allowed values: `Adapter`, `Application`, `Broker`
  - `view` (string, optional, nullable)
  - `status` (enum, optional)
    - Allowed values: `incomplete`, `scheduled`, `running`, `complete`, `canceled`, `error`, `failure`, `paused`
  - `app` (string, optional)
  - `name` (string, optional)
  - `variables` (object, optional)
    - `incoming` (object, optional)
    - `outgoing` (object, optional)
    - `decorators` (list of object, optional)
      - `type` (any, optional)
      - `pointer` (string, optional)
  - `last_updated` (string, optional) — An ISO 8601 date string
  - `encodingVersion` (enum, optional)
    - Allowed values: `1`
  - `job` (object, optional)
    - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
    - `task` (string, optional)
    - `name` (string, optional) — The name of the document
    - `description` (string, optional, nullable)
    - `ancestors` (list of string, optional, nullable)
  - `incomingRefs` (list of any, optional)
  - `workItemId` (string, optional) — A UUIDv7 identifier.
  - `mockId` (string, optional) — A UUIDv4 identifier.
  - `groups` (list of object or string, optional)
    - object
      - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `provenance` (string, optional)
      - `name` (string, optional)
      - `description` (string, optional)
      - `memberOf` (list of object, optional)
        - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `aaaManaged` (boolean, optional)
      - `assignedRoles` (list of object, optional)
        - `roleId` (string, optional)
      - `inactive` (boolean, optional)
      - `_meta` (object, optional)
        - `created` (string, optional) — An ISO 8601 date string
        - `updated` (string, optional) — An ISO 8601 date string
        - `migrationVersion` (integer, optional) — The current document version of this document.
  - `type` (any, optional)
  - `metrics` (object, optional)
    - `start_time` (string, optional)
    - `claim_time` (string, optional) — An ISO 8601 date string
    - `end_time` (double, optional)
    - `server_id` (string, optional)
    - `finish_state` (any or enum, optional)
    - `run_time` (double, optional)
    - `user` (object or string or enum, optional)
      - object
        - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `provenance` (string, optional)
        - `username` (string, optional)
        - `firstname` (string, optional)
        - `memberOf` (list of object, optional)
          - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `aaaManaged` (boolean, optional)
        - `assignedRoles` (list of object, optional)
          - `roleId` (string, optional)
        - `inactive` (boolean, optional)
        - `lastLogin` (string, optional) — An ISO 8601 date string
        - `_meta` (object, optional)
          - `created` (string, optional) — An ISO 8601 date string
          - `updated` (string, optional) — An ISO 8601 date string
          - `migrationVersion` (integer, optional) — The current document version of this document.
        - `email` (string, optional)
    - `owner` (object or string or enum, optional)
      - object
        - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
        - `provenance` (string, optional)
        - `username` (string, optional)
        - `firstname` (string, optional)
        - `memberOf` (list of object, optional)
          - `groupId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
          - `aaaManaged` (boolean, optional)
        - `assignedRoles` (list of object, optional)
          - `roleId` (string, optional)
        - `inactive` (boolean, optional)
        - `lastLogin` (string, optional) — An ISO 8601 date string
        - `_meta` (object, optional)
          - `created` (string, optional) — An ISO 8601 date string
          - `updated` (string, optional) — An ISO 8601 date string
          - `migrationVersion` (integer, optional) — The current document version of this document.
        - `email` (string, optional)
- `metadata` (object, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.
  - `skip` (integer, optional)
  - `limit` (integer, optional)
  - `total` (integer, optional)
  - `nextPageSkip` (integer, optional, nullable)
  - `previousPageSkip` (integer, optional, nullable)
  - `currentPageSize` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "message": "Successfully created the requested item",
  "data": [
    {
      "_id": "string",
      "location": "Adapter",
      "view": "/workflow_engine/task/ViewData",
      "status": "incomplete",
      "app": "WorkFlowEngine",
      "name": "ViewData",
      "variables": {
        "incoming": {},
        "outgoing": {},
        "decorators": [
          {
            "type": null,
            "pointer": "string"
          }
        ]
      },
      "last_updated": "2024-01-15T09:30:00Z",
      "encodingVersion": 1,
      "job": {
        "_id": "string",
        "task": "e28f",
        "name": "Cisco IOS upgrade",
        "description": "View Task Data",
        "ancestors": [
          "string"
        ]
      },
      "incomingRefs": [
        "string"
      ],
      "workItemId": "string",
      "mockId": "string",
      "groups": [
        {
          "_id": "string",
          "_meta": {
            "created": "2024-01-15T09:30:00Z",
            "migrationVersion": 1,
            "updated": "2024-01-15T09:30:00Z"
          },
          "assignedRoles": [
            {
              "roleId": "66ec91e12b18975149d9e0d9"
            }
          ],
          "description": "string",
          "inactive": true,
          "memberOf": [
            {
              "aaaManaged": true,
              "groupId": "string"
            }
          ],
          "name": "admin",
          "provenance": "Local AAA"
        }
      ],
      "type": null,
      "metrics": {
        "start_time": [
          "2025-03-11T19:03:31.515Z"
        ],
        "claim_time": "2024-01-15T09:30:00Z",
        "end_time": 1740438512495,
        "server_id": "9349c650f70d50e4fe89c95327b7d4d9e6b5228ac83fe4fae120045b37b67860",
        "finish_state": null,
        "run_time": 5,
        "user": {
          "_id": "string",
          "_meta": {
            "created": "2024-01-15T09:30:00Z",
            "migrationVersion": 1,
            "updated": "2024-01-15T09:30:00Z"
          },
          "assignedRoles": [
            {
              "roleId": "66ec91e12b18975149d9e0d9"
            }
          ],
          "email": "admin@itential.com",
          "firstname": "admin",
          "inactive": true,
          "lastLogin": "2024-01-15T09:30:00Z",
          "memberOf": [
            {
              "aaaManaged": true,
              "groupId": "string"
            }
          ],
          "provenance": "Local AAA",
          "username": "admin@pronghorn"
        },
        "owner": {
          "_id": "string",
          "_meta": {
            "created": "2024-01-15T09:30:00Z",
            "migrationVersion": 1,
            "updated": "2024-01-15T09:30:00Z"
          },
          "assignedRoles": [
            {
              "roleId": "66ec91e12b18975149d9e0d9"
            }
          ],
          "email": "admin@itential.com",
          "firstname": "admin",
          "inactive": true,
          "lastLogin": "2024-01-15T09:30:00Z",
          "memberOf": [
            {
              "aaaManaged": true,
              "groupId": "string"
            }
          ],
          "provenance": "Local AAA",
          "username": "admin@pronghorn"
        }
      }
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": null,
    "previousPageSkip": null,
    "currentPageSize": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/tasks"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/tasks';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/tasks"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/operations-manager/tasks")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/operations-manager/tasks');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/tasks");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```